/**
 * \file core/customspectrum.h
 * \author Olivier Langella
 * \brief store information in qualified spectrums
 */

/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of phase2.
*
*     phase2 is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     phase2 is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with phase2.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include <pappsomspp/spectrum/qualifiedspectrum.h>

#ifndef CUSTOMSPECTRUM_H
#define CUSTOMSPECTRUM_H

class CustomSpectrum: public pappso::QualifiedSpectrum
{
public:
    CustomSpectrum();
    CustomSpectrum(const CustomSpectrum & spectrum_id);
    virtual ~CustomSpectrum();

    void setMzId(const QString & mzid);
    const QString & getMzId() const;
    void setTitle(const QString & title);
    const QString & getTitle() const;
    
    void setParentSpectrumId(const QString & spectrumID);
    const QString & getParentSpectrumId() const;
    
private :
    QString _mzid;
    QString _parent_mzid;
    QString _title;
};

#endif // CUSTOMSPECTRUM_H
